Get Ticket Billing
GET /tickets/:ticket_id/billing/
URL Example
https://system_domain/api/v2/tickets/123/billing/?page=1&staff_list=2&creator_list=1
PATH Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
ticket_id | number | Yes | Technical ID of the ticket |
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
page | number | No | Page number (30 records are displayed per page) |
staff_list | number | No | Search by ID of the assigned staff member (in the billing record) |
creator_list | number | No | Search by ID of the record creator |
from_date_created | string | No | Search for records created since the specified moment (YYYY-MM-DD HH:MM:SS) |
to_date_created | string | No | Search for records created before the specified moment (YYYY-MM-DD HH:MM:SS) |
from_billing_date | string | No | Work date from the specified moment (YYYY-MM-DD HH:MM:SS) |
to_billing_date | string | No | Work date until the specified moment (YYYY-MM-DD HH:MM:SS) |
Response Example
{
"data": [
{
"id": 123,
"action": null,
"comment": "Scheduled maintenance",
"spent_seconds": 3720,
"paid_seconds": 11040,
"staff_id": 2,
"staff_name": "Employee",
"billing_date": "14:09:00 20.11.2024",
"creator_id": 1,
"creator_name": "Administrator",
"date_created": "14:09:28 20.11.2024"
}
],
"pagination": {
"total": 1,
"per_page": 30,
"current_page": 1,
"total_pages": 1
}
}